/**
 * 用于白鹭引擎的API接口回调函数
 */
var WebPlatFormProxy = (function () {
    var instance;
    function getInstance(){
        if(!instance){
            instance = constructor();
        }
        return instance;
    }

    function constructor(){
        var ptinstance;
        var jsProxy;
        /**
         * 设置平台需要处理的代理对象
         */
        function initProxy(classname,params){
            mylog.log("initproxy:" + classname);
            ptinstance = classname; 
            jsProxy = Proxy.JsProxy.getInstance();
            ptinstance.proxy=jsProxy;
            ptinstance.init(params);
        }

        /**
         * 平台初始化
         */
        function sdkInit(callback,params) {
            jsProxy.registerCallBack("sdkInit",callback,params);
            ptinstance.sdkInit(params,callback);
        }

        function sdkLogin(callback,params){
            jsProxy.registerCallBack("sdkLogin",callback,params);
            ptinstance.sdkLogin(params,callback);
        }
        
        function sdkDataVerify(callback,dvname,params){
            params.dvname = dvname;
            jsProxy.registerCallBack("sdkDataVerify",callback,params);
            ptinstance.sdkDataVerify(params,callback);
        }

        function sdkPay(callback,params){
            jsProxy.registerCallBack("sdkPay",callback,params);
            ptinstance.sdkPay(params,callback);
        }

        function getPlatFormInfo(callback,params){
            jsProxy.registerCallBack("getPlatFormInfo",callback,params);
            mylog.log("getPlatFormInfo:" + ptinstance);
            ptinstance.getPlatFormInfo(params,callback);
        }

        function share(callback,params){
            jsProxy.registerCallBack("share",callback,params);
            ptinstance.share(params,callback);
        }

        function logOut(params){
            ptinstance.logOut(params);
        }

        function registerPlatFormCallBack(callback,name,params){
            jsProxy.registerCallBack(name,callback,params);
        }
        
        return{
            initProxy:initProxy,
            sdkInit:sdkInit,
            sdkLogin:sdkLogin,
            sdkDataVerify:sdkDataVerify,
            sdkPay:sdkPay,
            getPlatFormInfo:getPlatFormInfo,
            share:share,
            logOut:logOut,
            registerPlatFormCallBack:registerPlatFormCallBack,
        }

    }
    return{
        getInstance:getInstance,
        
    };
})();